<?php
/*
* DuckBrain - Microframework
* 
* Manejador de vistas simplificado.
*
* Autor: KJ
* Web: https://kj2.me
* Licencia: MIT
*/

namespace Libs;

class View {

  /*
  * Función que "renderizar" las vistas
  *
  * @param string $viewName
  *   Ruta relativa y el nommbre sin extensión del archivo ubicado en src/Views
  *
  * @param array $params
  *   Arreglo que podrá ser usado en la vista mediante $view ($param['index'] se usaría así: $view->index)
  *
  */
  public static function render($viewName, $params = []) {
    $view = new Params($params);
    unset($params);
    include(ROOT_DIR.'/src/Views/'.$viewName.'.php');
  }
}
?>
